org.apache.tomcat.util.buf

## Class ByteBufferHolder

- java.lang.Object
- - org.apache.tomcat.util.buf.ByteBufferHolder

-     public class ByteBufferHolder
      extends Object

  Simple wrapper for a `ByteBuffer` that remembers if the buffer has been flipped or not.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteBufferHolder(ByteBuffer buf, boolean flipped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `flip()`
    `ByteBuffer` | `getBuf()`
    `boolean` | `isFlipped()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteBufferHolder

          public ByteBufferHolder(ByteBuffer buf,
                                  boolean flipped)

  - ### Method Detail

    - #### getBuf

          public ByteBuffer getBuf()

    - #### isFlipped

          public boolean isFlipped()

    - #### flip

          public boolean flip()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.